Bug 185063 - Port www/rubygem-haml update to version 4.0.4 [PATCH]
Summary: Port www/rubygem-haml update to version 4.0.4 [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-21 11:20 UTC by Horia Racoviceanu
Modified: 2014-01-22 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.97 KB, patch)
2013-12-21 11:20 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2013-12-21 11:20:01 UTC

Fix: - Update to Version 4.0.4
- Change XHTML to HTML in Comment and pkg-descr
- Add MIT to License
- Add devel/rubygem-tilt to RUN_DEPENDS
- Add USE_RAKE
- Support STAGEDIR
- Change http://haml-lang.com/ to http://haml.info/ in pkg-descr
- Remove bin/html2haml from PLIST_FILES

* html2haml utility moved to the html2haml gem
http://www.freebsd.org/cgi/query-pr.cgi?pr=185062

* Textile and Maruku filters moved to the haml-contrib gem
http://www.freebsd.org/cgi/query-pr.cgi?pr=185061

Build log
https://redports.org/buildarchive/20131221105337-45184/

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-21 11:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-12-21 11:20:15 UTC
Maintainer of www/rubygem-haml,

Please note that PR ports/185063 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185063

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-12-21 11:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Robert Gogolok 2013-12-24 12:24:17 UTC
I approve the patch.
Thanks!
Comment 5 Steve Wills freebsd_committer 2014-01-21 04:17:54 UTC
Responsible Changed
From-To: ruby->swills

y
Comment 6 dfilter service freebsd_committer 2014-01-22 01:24:17 UTC
Author: swills
Date: Wed Jan 22 01:24:09 2014
New Revision: 340677
URL: http://svnweb.freebsd.org/changeset/ports/340677
QAT: https://qat.redports.org/buildarchive/r340677/

Log:
  - Update to Version 4.0.4
  - Change XHTML to HTML in Comment and pkg-descr
  - Add MIT to License
  - Add devel/rubygem-tilt to RUN_DEPENDS
  - Add USE_RAKE
  - Support STAGEDIR
  - Change http://haml-lang.com/ to http://haml.info/ in pkg-descr
  - Remove bin/html2haml from PLIST_FILES since it's no longer in this gem
  
  PR:		ports/185063
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com>
  Approved by:	Robert Gogolok <gogolok@gmail.com> (maintainer)

Modified:
  head/www/rubygem-haml/Makefile
  head/www/rubygem-haml/distinfo
  head/www/rubygem-haml/pkg-descr   (contents, props changed)

Modified: head/www/rubygem-haml/Makefile
==============================================================================
--- head/www/rubygem-haml/Makefile	Wed Jan 22 00:16:44 2014	(r340676)
+++ head/www/rubygem-haml/Makefile	Wed Jan 22 01:24:09 2014	(r340677)
@@ -2,18 +2,22 @@
 # $FreeBSD$
 
 PORTNAME=	haml
-PORTVERSION=	3.1.7
+PORTVERSION=	4.0.4
 CATEGORIES=	www rubygems
 MASTER_SITES=	RG
 
 MAINTAINER=	gogolok+freebsd@gmail.com
-COMMENT=	Markup language to describe XHTML
+COMMENT=	Markup language to describe HTML
 
+LICENSE=	MIT
+
+RUN_DEPENDS=	rubygem-tilt>=0:${PORTSDIR}/devel/rubygem-tilt
+
+USE_RAKE=	yes
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes
 RUBYGEM_AUTOPLIST=	yes
 
-PLIST_FILES=	bin/haml bin/html2haml
+PLIST_FILES=	bin/haml
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/www/rubygem-haml/distinfo
==============================================================================
--- head/www/rubygem-haml/distinfo	Wed Jan 22 00:16:44 2014	(r340676)
+++ head/www/rubygem-haml/distinfo	Wed Jan 22 01:24:09 2014	(r340677)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/haml-3.1.7.gem) = d6a7cab4234cc98980ac3b25f1b99efed2ec50acbd0b6b213b68856d14e89bc7
-SIZE (rubygem/haml-3.1.7.gem) = 373248
+SHA256 (rubygem/haml-4.0.4.gem) = f232cc6623d772973729c1a9a3403f0282d965790271332d62d0cf95e0b93463
+SIZE (rubygem/haml-4.0.4.gem) = 114688

Modified: head/www/rubygem-haml/pkg-descr
==============================================================================
--- head/www/rubygem-haml/pkg-descr	Wed Jan 22 00:16:44 2014	(r340676)
+++ head/www/rubygem-haml/pkg-descr	Wed Jan 22 01:24:09 2014	(r340677)
@@ -1,9 +1,9 @@
-Haml is a markup language that's used to cleanly and simply describe the XHTML
+Haml is a markup language that's used to cleanly and simply describe the HTML
 of any web document without the use of inline code. Haml functions as a
 replacement for inline page templating systems such as PHP, ASP, and ERB, the
 templating language used in most Ruby on Rails applications.
-However, Haml avoids the need for explicitly coding XHTML into the template,
-because it itself is a description of the XHTML, with some code to generate
+However, Haml avoids the need for explicitly coding HTML into the template,
+because it itself is a description of the HTML, with some code to generate
 dynamic content.
 
-WWW: http://haml-lang.com/
+WWW: http://haml.info/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2014-01-22 01:24:20 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!